Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class InstallHandlerEntryModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.InstallHandlerEntryModel

All Implemented Interfaces:
  IAdaptable

Direct Known Subclasses:
  InstallHandlerEntry

public class InstallHandlerEntryModel
extends ModelObject

Install handler entry model object. An object which represents the definition of a custom install handler

This class may be instantiated or subclassed by clients. However, in most cases clients should instead instantiate or subclass the provided concrete implementation of this model.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `InstallHandlerEntry`

Constructor Summary
`InstallHandlerEntryModel()` Creates a uninitialized install handler entry model object.

Method Summary
`String` | `getHandlerName()` Returns the name of the custom installer.
`String` | `getLibrary()` Returns the name of the custom installer library.
`URL` | `getURL()` Returns the resolved URL used for browser-triggered installation handling.
`String` | `getURLString()` Returns the URL string used for browser-triggered installation handling.
`void` | `resolve(URL base, URL bundleURL)` Resolve the model object.
`void` | `setHandlerName(String name)` Sets the name of the custom install handler.
`void` | `setLibrary(String library)` Sets the custom install handler library name.
`void` | `setURLString(String urlString)` Sets URL string used for browser-triggered installation handling.

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstallHandlerEntryModel

    public InstallHandlerEntryModel()

  Creates a uninitialized install handler entry model object.

Since:
  2.0

Method Detail

### getURLString

    public String getURLString()

  Returns the URL string used for browser-triggered installation handling.

  Returns:
    url string or `null`
  Since:
    2.0

### getURL

    public URL getURL()

  Returns the resolved URL used for browser-triggered installation handling.

  Returns:
    url, or `null`
  Since:
    2.0

### getLibrary

    public String getLibrary()

  Returns the name of the custom installer library.

  Returns:
    library path, or `null`
  Since:
    2.0

### getHandlerName

    public String getHandlerName()

  Returns the name of the custom installer.

  Returns:
    handler name, or `null`
  Since:
    2.0

### setURLString

    public void setURLString(String urlString)

  Sets URL string used for browser-triggered installation handling. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `urlString` - trigget page URL string, may be `null`.
  Since:
    2.0

### setLibrary

    public void setLibrary(String library)

  Sets the custom install handler library name. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `library` - name, may be `null`.
  Since:
    2.0

### setHandlerName

    public void setHandlerName(String name)

  Sets the name of the custom install handler. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `name` - name of the install handler, may be `null`.
  Since:
    2.0

### resolve

    public void resolve(URL base,
                        URL bundleURL)
                 throws MalformedURLException

  Resolve the model object. Any URL strings in the model are resolved relative to the base URL argument. Any translatable strings in the model that are specified as translation keys are localized using the supplied resource bundle.

  Overrides:
    `resolve` in class `ModelObject`
  Parameters:
    `base` - URL
    `bundleURL` - resource bundle URL
  Throws:
    `MalformedURLException`
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.